program DI_Demo;

uses
  Vcl.Forms,
  Main in 'Main.pas' {MainForm},
  Interfaces in 'Interfaces.pas',
  NavigationService in 'Services\NavigationService.pas',
  Data in 'Data.pas',
  ModuleProvider in 'Services\ModuleProvider.pas',
  NavigationView in 'UI\NavigationView.pas' {NavigationFrame: TFrame},
  ViewProvider in 'Services\ViewProvider.pas',
  Registrations in 'Registrations.pas',
  CustomersView in 'UI\CustomersView.pas' {CustomersFrame: TFrame},
  OrdersView in 'UI\OrdersView.pas' {OrdersFrame: TFrame},
  DialogService in 'Services\DialogService.pas',
  PureDI in 'PureDI.pas',
  NavigationServiceDecorator in 'Services\Decorators\NavigationServiceDecorator.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
