unit DialogService;

interface

uses
  Interfaces;

type
  TDialogService = class(TInterfacedObject, IDialogService)
  private
    fGreeting: TGreeting;
  public
    constructor Create(const greeting: TGreeting);
    procedure ShowDialog;
  end;

implementation

uses
  Dialogs,
  SysUtils;

{ TDialogService }

constructor TDialogService.Create(const greeting: TGreeting);
begin
  inherited Create;
  Sleep(2000);
  fGreeting := greeting;
end;

procedure TDialogService.ShowDialog;
begin
  ShowMessage(fGreeting);
end;

end.
