unit CustomersView;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  Spring.Container.Common,
  Spring,
  Interfaces;

type
  TCustomersFrame = class(TFrame)
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    fDialogService: Lazy<IDialogService>;
  public
//    [Inject]
    constructor Create(
      const dialogService: Lazy<IDialogService>); reintroduce;
  end;

implementation

{$R *.dfm}

{ TCustomersFrame }

procedure TCustomersFrame.Button1Click(Sender: TObject);
begin
  fDialogService.Value.ShowDialog;
end;

constructor TCustomersFrame.Create(
  const dialogService: Lazy<IDialogService>);
begin
  inherited Create(nil);
  fDialogService := dialogService;
end;

end.
